Main Page Class Hierarchy Compound List File List Compound Members File Members

# Abitmap Class Reference

a class memory bitmap that manage all bitmap operation. More...

`#include <bitmap.h>`

Inheritance diagram for Abitmap::

List of all members.

## Public Methods
virtual ACI * | getCI ()
| Abitmap (const class Abitmap &b)
ADLL | Abitmap (int w, int h, int nbBits=32)
ADLL | Abitmap (char *filename)
ADLL | Abitmap (class Aresobj *o)
virtual ADLL | ~Abitmap ()
ADLL bool | size (int w, int h)
| resize the bitmap. More...
ADLL bool | set (HDC hdc, int x=0, int y=0, int mblt=bltmodeSRC)
| internal function. More...
bool | set (int x, int y, class Abitmap *b, bool useFlags=TRUE)
| set the bitmap b in this bitmap at x,y position. More...
ADLL bool | set (int xd, int yd, int xs, int ys, int w, int h, class Abitmap *b, bool useFlags=TRUE)
| set the bitmap b in this bitmap at xd,yd position from xs, ys position in the source bitmap b to w, h width and height. More...
ADLL bool | set (int xd, int yd, int wd, int hd, int xs, int ys, int ws, int hs, class Abitmap *b, bool useFlags=TRUE)
| stretch part of the bitmap source(xs, ys, ws, hs) into part of the destination bitmap(xd, yd, wd, hd). More...
bool | pixel (int x, int y, dword c)
| set a pixel color c, at x,y position. More...
ADLL bool | line (int x0, int y0, int x1, int y1, dword c)
| trace a line. More...
ADLL bool | box (int x0, int y0, int x1, int y1, dword c)
| trace a box. More...
ADLL bool | boxf (int x0, int y0, int x1, int y1, dword c)
| fill a box. More...
ADLL bool | linea (int x0, int y0, int x1, int y1, dword c, float alpha, dword mode=lineaNORMAL)
| trace a line with blending operation. More...
ADLL bool | boxa (int x0, int y0, int x1, int y1, dword c, float alpha, dword mode=lineaNORMAL)
| trace a box with blending operation. More...
ADLL bool | boxfa (int x0, int y0, int x1, int y1, dword c, float alpha, dword mode=lineaNORMAL)
| fill a box with blending operation. More...
ADLL bool | flipY ()
ADLL bool | blur (Abitmap *b, float coefx, float coefy)
| blur the bitmap. More...
ADLL bool | getDesktop (int x, int y)
ADLL bool | load (char *filename)
| load the filename file. More...
ADLL bool | save (char *filename, int quality=100)
| save the filename file (.png). More...
ADLL bool | save (class Afile *f, int type=bitmapJPG, int quality=100)
ADLL void | operator= (const Abitmap &b)
## Static Public Methods
ADLL Abitmap * | getDesktop ()
## Public Attributes
dword | state
| the states, (ex:bitmapNORMAL, bitmapOR, ...). More...
dword | flags
| the flags, (ex: bitmapALPHA, bitmapSATURATION, ...). More...
dword | colorkey
| colorkey value for opacity mode, flags bitmapCOLORKEY must be set to be used. More...
float | alpha
| alpha value, flag bitmapGLOBALALPHA must be set to be used. More...
int | w
int | h
int | nbBits
int | bodysize
dword * | palette
Arectangle | clip
Arectangle | view
dword * | adr
void * | body
byte * | body8
word * | body16
dword * | body32
## Static Public Attributes
ADLL ACI | CI

## Detailed Description

a class memory bitmap that manage all bitmap operation.

## Constructor & Destructor Documentation

Abitmap::Abitmap | ( | const class Abitmap & | b | ) |

ADLL Abitmap::Abitmap | ( | int | w,
|  | int | h,
|  | int | nbBits = 32
| ) |

ADLL Abitmap::Abitmap | ( | char * | filename | ) |

ADLL Abitmap::Abitmap | ( | class Aresobj * | o | ) |

virtual ADLL Abitmap::~Abitmap | ( |  | ) | `[virtual]`

## Member Function Documentation

ADLL bool Abitmap::blur | ( | Abitmap * | b,
|  | float | coefx,
|  | float | coefy
| ) |

| blur the bitmap.

ADLL bool Abitmap::box | ( | int | x0,
|  | int | y0,
|  | int | x1,
|  | int | y1,
|  | dword | c
| ) |

| trace a box.

ADLL bool Abitmap::boxa | ( | int | x0,
|  | int | y0,
|  | int | x1,
|  | int | y1,
|  | dword | c,
|  | float | alpha,
|  | dword | mode = lineaNORMAL
| ) |

| trace a box with blending operation.

ADLL bool Abitmap::boxf | ( | int | x0,
|  | int | y0,
|  | int | x1,
|  | int | y1,
|  | dword | c
| ) |

| fill a box.

ADLL bool Abitmap::boxfa | ( | int | x0,
|  | int | y0,
|  | int | x1,
|  | int | y1,
|  | dword | c,
|  | float | alpha,
|  | dword | mode = lineaNORMAL
| ) |

| fill a box with blending operation.

ADLL bool Abitmap::flipY | ( |  | ) |

virtual ACI* Abitmap::getCI | ( |  | ) | `[inline, virtual]`

| Reimplemented from Anode.

ADLL bool Abitmap::getDesktop | ( | int | x,
|  | int | y
| ) |

ADLL Abitmap* Abitmap::getDesktop | ( |  | ) | `[static]`

ADLL bool Abitmap::line | ( | int | x0,
|  | int | y0,
|  | int | x1,
|  | int | y1,
|  | dword | c
| ) |

| trace a line.

ADLL bool Abitmap::linea | ( | int | x0,
|  | int | y0,
|  | int | x1,
|  | int | y1,
|  | dword | c,
|  | float | alpha,
|  | dword | mode = lineaNORMAL
| ) |

| trace a line with blending operation.

ADLL bool Abitmap::load | ( | char * | filename | ) |

| load the filename file. load a portable network graphic file (.PNG)

ADLL void Abitmap::operator= | ( | const Abitmap & | b | ) |

__inline bool Abitmap::pixel | ( | int | x,
|  | int | y,
|  | dword | c
| ) |

| set a pixel color c, at x,y position.

ADLL bool Abitmap::save | ( | class Afile * | f,
|  | int | type = bitmapJPG,
|  | int | quality = 100
| ) |

ADLL bool Abitmap::save | ( | char * | filename,
|  | int | quality = 100
| ) |

| save the filename file (.png). save a portable network graphic file (.PNG)

ADLL bool Abitmap::set | ( | int | xd,
|  | int | yd,
|  | int | wd,
|  | int | hd,
|  | int | xs,
|  | int | ys,
|  | int | ws,
|  | int | hs,
|  | class Abitmap * | b,
|  | bool | useFlags = TRUE
| ) |

| stretch part of the bitmap source(xs, ys, ws, hs) into part of the destination bitmap(xd, yd, wd, hd).

ADLL bool Abitmap::set | ( | int | xd,
|  | int | yd,
|  | int | xs,
|  | int | ys,
|  | int | w,
|  | int | h,
|  | class Abitmap * | b,
|  | bool | useFlags = TRUE
| ) |

| set the bitmap b in this bitmap at xd,yd position from xs, ys position in the source bitmap b to w, h width and height.

__inline bool Abitmap::set | ( | int | x,
|  | int | y,
|  | class Abitmap * | b,
|  | bool | useFlags = TRUE
| ) |

| set the bitmap b in this bitmap at x,y position.

ADLL bool Abitmap::set | ( | HDC | hdc,
|  | int | x = 0,
|  | int | y = 0,
|  | int | mblt = bltmodeSRC
| ) |

| internal function.

ADLL bool Abitmap::size | ( | int | w,
|  | int | h
| ) |

| resize the bitmap.

## Member Data Documentation

ADLL ACI Abitmap::CI`[static]`

| Reimplemented from Anode.

dword* Abitmap::adr

float Abitmap::alpha

| alpha value, flag bitmapGLOBALALPHA must be set to be used.

void* Abitmap::body

word* Abitmap::body16

dword* Abitmap::body32

byte* Abitmap::body8

int Abitmap::bodysize

Arectangle Abitmap::clip

dword Abitmap::colorkey

| colorkey value for opacity mode, flags bitmapCOLORKEY must be set to be used.

dword Abitmap::flags

| the flags, (ex: bitmapALPHA, bitmapSATURATION, ...).

int Abitmap::h

int Abitmap::nbBits

dword* Abitmap::palette

dword Abitmap::state

| the states, (ex:bitmapNORMAL, bitmapOR, ...). Reimplemented from Anode.

Arectangle Abitmap::view

int Abitmap::w

The documentation for this class was generated from the following file:

- bitmap.h